<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.40.0.34.11.12.2.1
Name: Pflege- und Betreuungsumfang
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.40.0.34.11.12.2.1-2015-09-20T000000">
   <title>Pflege- und Betreuungsumfang</title>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.12.2.1
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.12.2.1']]
Item: (Pflegeundbetreuungsumfang)
-->

   <!--
Template derived rules for ID: 1.2.40.0.34.11.12.2.1
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.12.2.1']]/hl7:section[hl7:templateId/@root='1.2.40.0.34.11.12.2.1']
Item: (Pflegeundbetreuungsumfang)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.12.2.1']]/hl7:section[hl7:templateId/@root='1.2.40.0.34.11.12.2.1']"
         id="tmp-r-667185fd-113e-43ea-bb89-bcbdffce4c06">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20151106T121602/tmp-1.2.40.0.34.11.12.2.1-2015-09-20T000000.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.12.2.1'])&gt;=1 ">(Pflegeundbetreuungsumfang): Element hl7:templateId[@root='1.2.40.0.34.11.12.2.1'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20151106T121602/tmp-1.2.40.0.34.11.12.2.1-2015-09-20T000000.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.12.2.1'])&lt;=1">(Pflegeundbetreuungsumfang): Element hl7:templateId[@root='1.2.40.0.34.11.12.2.1'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20151106T121602/tmp-1.2.40.0.34.11.12.2.1-2015-09-20T000000.html"
              test="count(hl7:code[(@code='PUBUMF' and @codeSystem='1.2.40.0.34.5.40')])&gt;=1 and not(hl7:code[(@code='PUBUMF' and @codeSystem='1.2.40.0.34.5.40')]/@nullFlavor)">(Pflegeundbetreuungsumfang): Element hl7:code[(@code='PUBUMF' and @codeSystem='1.2.40.0.34.5.40')] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20151106T121602/tmp-1.2.40.0.34.11.12.2.1-2015-09-20T000000.html"
              test="count(hl7:code[(@code='PUBUMF' and @codeSystem='1.2.40.0.34.5.40')])&lt;=1">(Pflegeundbetreuungsumfang): Element hl7:code[(@code='PUBUMF' and @codeSystem='1.2.40.0.34.5.40')] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20151106T121602/tmp-1.2.40.0.34.11.12.2.1-2015-09-20T000000.html"
              test="count(hl7:title)&gt;=1 and not(hl7:title/@nullFlavor)">(Pflegeundbetreuungsumfang): Element hl7:title ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20151106T121602/tmp-1.2.40.0.34.11.12.2.1-2015-09-20T000000.html"
              test="count(hl7:title)&lt;=1">(Pflegeundbetreuungsumfang): Element hl7:title kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20151106T121602/tmp-1.2.40.0.34.11.12.2.1-2015-09-20T000000.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(Pflegeundbetreuungsumfang): Element hl7:text ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20151106T121602/tmp-1.2.40.0.34.11.12.2.1-2015-09-20T000000.html"
              test="count(hl7:text)&lt;=1">(Pflegeundbetreuungsumfang): Element hl7:text kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.12.2.1
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.12.2.1']]/hl7:section[hl7:templateId/@root='1.2.40.0.34.11.12.2.1']/hl7:templateId[@root='1.2.40.0.34.11.12.2.1']
Item: (Pflegeundbetreuungsumfang)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.12.2.1']]/hl7:section[hl7:templateId/@root='1.2.40.0.34.11.12.2.1']/hl7:templateId[@root='1.2.40.0.34.11.12.2.1']"
         id="tmp-r-8443d74d-2bae-44f1-a614-622f61e3985d">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20151106T121602/tmp-1.2.40.0.34.11.12.2.1-2015-09-20T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Pflegeundbetreuungsumfang): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20151106T121602/tmp-1.2.40.0.34.11.12.2.1-2015-09-20T000000.html"
              test="string(@root)=('1.2.40.0.34.11.12.2.1')">(Pflegeundbetreuungsumfang): Der Wert von @root MUSS '1.2.40.0.34.11.12.2.1' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.12.2.1
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.12.2.1']]/hl7:section[hl7:templateId/@root='1.2.40.0.34.11.12.2.1']/hl7:code[(@code='PUBUMF' and @codeSystem='1.2.40.0.34.5.40')]
Item: (Pflegeundbetreuungsumfang)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.12.2.1']]/hl7:section[hl7:templateId/@root='1.2.40.0.34.11.12.2.1']/hl7:code[(@code='PUBUMF' and @codeSystem='1.2.40.0.34.5.40')]"
         id="tmp-r-a61f56d6-ce4a-4dad-8e13-2b69018f1941">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20151106T121602/tmp-1.2.40.0.34.11.12.2.1-2015-09-20T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Pflegeundbetreuungsumfang): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20151106T121602/tmp-1.2.40.0.34.11.12.2.1-2015-09-20T000000.html"
              test="@nullFlavor or (@code='PUBUMF' and @codeSystem='1.2.40.0.34.5.40')">(Pflegeundbetreuungsumfang): Der Elementinhalt MUSS einer von 'code 'PUBUMF' codeSystem '1.2.40.0.34.5.40'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.12.2.1
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.12.2.1']]/hl7:section[hl7:templateId/@root='1.2.40.0.34.11.12.2.1']/hl7:title
Item: (Pflegeundbetreuungsumfang)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.12.2.1']]/hl7:section[hl7:templateId/@root='1.2.40.0.34.11.12.2.1']/hl7:title"
         id="tmp-r-8970efe3-2a80-40b7-a1c9-72d7e6549eb5">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20151106T121602/tmp-1.2.40.0.34.11.12.2.1-2015-09-20T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Pflegeundbetreuungsumfang): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ST" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20151106T121602/tmp-1.2.40.0.34.11.12.2.1-2015-09-20T000000.html"
              test="text()='Pflege- und Betreuungsumfang'">(Pflegeundbetreuungsumfang): Der Elementinhalt von 'hl7:title' MUSS ''Pflege- und Betreuungsumfang'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.12.2.1
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.12.2.1']]/hl7:section[hl7:templateId/@root='1.2.40.0.34.11.12.2.1']/hl7:text
Item: (Pflegeundbetreuungsumfang)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.12.2.1']]/hl7:section[hl7:templateId/@root='1.2.40.0.34.11.12.2.1']/hl7:text"
         id="tmp-r-1d8c9bd9-f893-4d6d-b8c5-b3a5ceac6442">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20151106T121602/tmp-1.2.40.0.34.11.12.2.1-2015-09-20T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SD.TEXT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Pflegeundbetreuungsumfang): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:SD.TEXT" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="SD.TEXT"/>
   </rule>
</pattern>
